<!DOCTYPE html>
<html lang="{{ aSurveyInfo.languagecode }}" dir="{{ aSurveyInfo.dir }}" class="{{ aSurveyInfo.languagecode }} dir-{{ aSurveyInfo.dir }} {{ aSurveyInfo.class.html }}" {{ aSurveyInfo.attr.html }}>
  {% block head %}
    {# Headers, metadata, etc #}
    {{ include('./subviews/header/head.twig') }}
  {% endblock %}
  <body
    class="awesome-checkbox {{ aSurveyInfo.class.body }} font-{{  aSurveyInfo.options.font }} lang-{{aSurveyInfo.languagecode}} {{aSurveyInfo.surveyformat}} {% if( aSurveyInfo.options.brandlogo == 'on') %}brand-logo{%endif%}" {{ aSurveyInfo.attr.body }}>
    <div id="body-wrapper">
    {# Notice if emcache is on or off, used by tests. #}
    {% if aSurveyInfo.emcache %}
      <span style="display: none;" id="__emcache_debug" value="on"></span>
    {% else %}
      <span style="display: none;" id="__emcache_debug" value="off"></span>
    {% endif %}

      <div id="{{ aSurveyInfo.id.dynamicreload }}">
        {% block body %}
          {# Bootstrap Navigation Bar: the top menu #}
          {% block nav_bar %}
            {{ include('./subviews/header/nav_bar.twig') }}
          {% endblock %}
          {% block description %}
          {% endblock %}
          <!-- Outer Frame Container -->
          {% block content %}
            {# Content depends on the action (survey, questions, register, assesments, submit, etc) #}
            {# Action are in ./subviews/content/ #}
            {% set sViewContent =  './subviews/content/' ~ aSurveyInfo.include_content ~ '.twig' %}
            {% include './subviews/content/outerframe.twig' with {'include_content': sViewContent } %}
          {% endblock %}
        {% endblock %}
      </div>
    {% block footer %}
      {{ include('./subviews/footer/footer.twig') }}
    {% endblock %}
    {% block bootstrap_modal %}
      {# Bootstrap alert modal #}
      {{ include('./subviews/messages/bootstrap_alert_modal.twig') }}
    {% endblock %}
    {% block themescripts %}
      {{ registerScript("BasicThemeScripts", "
            if(window.basicThemeScripts === undefined){ 
                window.basicThemeScripts = new ThemeScripts(); 
            } 
            basicThemeScripts.initGlobal(); 
            ", "POS_END") }}
        {% set accessibleOptions = { } %}
      <script>
        window.basicThemeScripts.init();
        window.TemplateAccessible.init({{ json_encode(accessibleOptions) }});
      </script>
    {% endblock %}
  </div>
  </body>
</html>
